# norootforbuild

Name: dircproxy-snapshot
Version: 1.2.0.beta2
Release: 2.1
%define pkg_name dircproxy
%define pkg_version 1.2.0-beta2
#
License: GPL
Group: Productivity/Networking/IRC
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: openssl-devel pkgconfig
#
URL: http://dircproxy.securiweb.net/
Source: http://dircproxy.securiweb.net/pub/1.2/dircproxy-%{pkg_version}.tar.bz
#
Summary: An IRC proxy server ("bouncer")
%description
dircproxy is an IRC proxy server ("bouncer") designed for people who use IRC
from lots of different workstations or clients, but wish to remain connected
and see what they missed while they were away. You connect to IRC through
dircproxy, and it keeps you connected to the server, even after you detach your
client from it. While you're detached, it logs channel and private messages as
well as important events, and when you reattach it'll let you know what you
missed.


Authors:
---------
    Francois Harvey <fharvey at securiweb dot net>
    Scott James Remnant <scott at netsplit dot com>,
    Gabor Nyeki 
    van Heusden 
    Ryan Tolboom
    Stephen Cope
    Mike Taylor 
    brendan at kublai.com
    Tilman Sauerbeck


%debug_package
%prep
%setup -n dircproxy-%{pkg_version}

%build
%if 0%{?suse_version} > 1000
export CFLAGS="%{optflags} -fstack-protector-all"
%endif
%configure --enable-ssl
%{__make}

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{pkg_name}
%{_bindir}/%{pkg_name}-crypt
%dir %{_datadir}/%{pkg_name}/
%{_datadir}/%{pkg_name}/cronchk.sh
%{_datadir}/%{pkg_name}/dircproxyrc.sample
%{_datadir}/%{pkg_name}/log.pl
%{_datadir}/%{pkg_name}/privmsg-log.pl
%{_mandir}/man1/dircproxy-crypt.1*
%{_mandir}/man1/dircproxy.1*
%doc AUTHORS* ChangeLog COPYING FAQ HACKING NEWS README* RELEASING TODO
%doc doc/CTCPSPEC doc/DCCSPEC doc/PROTOCOL doc/RFC*

%changelog
* Thu Nov 23 2006 mrueckert@suse.de
- initial package of version 1.2.0-beta2
